Skip to main content
POST
/
api
/
board
/
{boardId}
/
{cardId}
/
comment
Add or update a comment
curl --request POST \
  --url https://core-api.getaptly.com/api/board/{boardId}/{cardId}/comment \
  --header 'Content-Type: application/json' \
  --header 'x-token: <api-key>' \
  --data '
{
  "userId": "<string>",
  "content": "<string>",
  "id": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "userId": "<string>",
    "content": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-token
string
header
required

Path Parameters

boardId
string
required
cardId
string
required

Body

application/json
userId
string
required

Aptly user ID of the comment author.

content
string
required

Comment text.

id
string

Existing comment ID — include to update rather than create.

Response

Comment created or updated.

data
object